1. Packages
  2. Packages
  3. Nutanix
  4. API Docs
  5. getStigsV2
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg
nutanix logo
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg

    A Security Technical Implementation Guide (STIG) is a cybersecurity methodology for standardizing security protocols within networks, servers, computers, and logical designs to enhance overall security. These guides, when implemented, enhance security for software, hardware, and physical and logical architectures to further reduce vulnerabilities.

    This datasource retrieves Security Technical Implementation Guide (STIG) control details for each cluster. Each STIG record represents a specific rule or control evaluated against one or more clusters, containing metadata such as rule ID, severity, compliance status, and remediation guidance.

    This datasource uses Prism Central (PC) v4 APIs based SDKs.

    Example

    import * as pulumi from "@pulumi/pulumi";
    import * as nutanix from "@pierskarsenbarg/nutanix";
    
    const all = nutanix.getStigsV2({});
    const filtered_status = nutanix.getStigsV2({
        filter: "status eq Security.Report.StigStatus'APPLICABLE'",
    });
    const filtered_severity = nutanix.getStigsV2({
        filter: "severity eq Security.Report.Severity'HIGH'",
    });
    const limited = nutanix.getStigsV2({
        limit: 2,
    });
    const select_example = nutanix.getStigsV2({
        select: "stigVersion,status",
    });
    
    import pulumi
    import pulumi_nutanix as nutanix
    
    all = nutanix.get_stigs_v2()
    filtered_status = nutanix.get_stigs_v2(filter="status eq Security.Report.StigStatus'APPLICABLE'")
    filtered_severity = nutanix.get_stigs_v2(filter="severity eq Security.Report.Severity'HIGH'")
    limited = nutanix.get_stigs_v2(limit=2)
    select_example = nutanix.get_stigs_v2(select="stigVersion,status")
    
    package main
    
    import (
    	"github.com/pierskarsenbarg/pulumi-nutanix/sdk/go/nutanix"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := nutanix.GetStigsV2(ctx, &nutanix.GetStigsV2Args{}, nil)
    		if err != nil {
    			return err
    		}
    		_, err = nutanix.GetStigsV2(ctx, &nutanix.GetStigsV2Args{
    			Filter: pulumi.StringRef("status eq Security.Report.StigStatus'APPLICABLE'"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		_, err = nutanix.GetStigsV2(ctx, &nutanix.GetStigsV2Args{
    			Filter: pulumi.StringRef("severity eq Security.Report.Severity'HIGH'"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		_, err = nutanix.GetStigsV2(ctx, &nutanix.GetStigsV2Args{
    			Limit: pulumi.IntRef(2),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		_, err = nutanix.GetStigsV2(ctx, &nutanix.GetStigsV2Args{
    			Select: pulumi.StringRef("stigVersion,status"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Nutanix = PiersKarsenbarg.Nutanix;
    
    return await Deployment.RunAsync(() => 
    {
        var all = Nutanix.GetStigsV2.Invoke();
    
        var filtered_status = Nutanix.GetStigsV2.Invoke(new()
        {
            Filter = "status eq Security.Report.StigStatus'APPLICABLE'",
        });
    
        var filtered_severity = Nutanix.GetStigsV2.Invoke(new()
        {
            Filter = "severity eq Security.Report.Severity'HIGH'",
        });
    
        var limited = Nutanix.GetStigsV2.Invoke(new()
        {
            Limit = 2,
        });
    
        var select_example = Nutanix.GetStigsV2.Invoke(new()
        {
            Select = "stigVersion,status",
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.nutanix.NutanixFunctions;
    import com.pulumi.nutanix.inputs.GetStigsV2Args;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var all = NutanixFunctions.getStigsV2(GetStigsV2Args.builder()
                .build());
    
            final var filtered-status = NutanixFunctions.getStigsV2(GetStigsV2Args.builder()
                .filter("status eq Security.Report.StigStatus'APPLICABLE'")
                .build());
    
            final var filtered-severity = NutanixFunctions.getStigsV2(GetStigsV2Args.builder()
                .filter("severity eq Security.Report.Severity'HIGH'")
                .build());
    
            final var limited = NutanixFunctions.getStigsV2(GetStigsV2Args.builder()
                .limit(2)
                .build());
    
            final var select-example = NutanixFunctions.getStigsV2(GetStigsV2Args.builder()
                .select("stigVersion,status")
                .build());
    
        }
    }
    
    variables:
      all:
        fn::invoke:
          function: nutanix:getStigsV2
          arguments: {}
      filtered-status:
        fn::invoke:
          function: nutanix:getStigsV2
          arguments:
            filter: status eq Security.Report.StigStatus'APPLICABLE'
      filtered-severity:
        fn::invoke:
          function: nutanix:getStigsV2
          arguments:
            filter: severity eq Security.Report.Severity'HIGH'
      limited:
        fn::invoke:
          function: nutanix:getStigsV2
          arguments:
            limit: 2
      select-example:
        fn::invoke:
          function: nutanix:getStigsV2
          arguments:
            select: stigVersion,status
    
    pulumi {
      required_providers {
        nutanix = {
          source = "pulumi/nutanix"
        }
      }
    }
    
    data "nutanix_getstigsv2" "all" {
    }
    data "nutanix_getstigsv2" "filtered-status" {
      filter = "status eq Security.Report.StigStatus'APPLICABLE'"
    }
    data "nutanix_getstigsv2" "filtered-severity" {
      filter = "severity eq Security.Report.Severity'HIGH'"
    }
    data "nutanix_getstigsv2" "limited" {
      limit = 2
    }
    data "nutanix_getstigsv2" "select-example" {
      select = "stigVersion,status"
    }
    

    Using getStigsV2

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getStigsV2(args: GetStigsV2Args, opts?: InvokeOptions): Promise<GetStigsV2Result>
    function getStigsV2Output(args: GetStigsV2OutputArgs, opts?: InvokeOptions): Output<GetStigsV2Result>
    def get_stigs_v2(filter: Optional[str] = None,
                     limit: Optional[int] = None,
                     order_by: Optional[str] = None,
                     page: Optional[int] = None,
                     select: Optional[str] = None,
                     opts: Optional[InvokeOptions] = None) -> GetStigsV2Result
    def get_stigs_v2_output(filter: pulumi.Input[Optional[str]] = None,
                     limit: pulumi.Input[Optional[int]] = None,
                     order_by: pulumi.Input[Optional[str]] = None,
                     page: pulumi.Input[Optional[int]] = None,
                     select: pulumi.Input[Optional[str]] = None,
                     opts: Optional[InvokeOptions] = None) -> Output[GetStigsV2Result]
    func GetStigsV2(ctx *Context, args *GetStigsV2Args, opts ...InvokeOption) (*GetStigsV2Result, error)
    func GetStigsV2Output(ctx *Context, args *GetStigsV2OutputArgs, opts ...InvokeOption) GetStigsV2ResultOutput

    > Note: This function is named GetStigsV2 in the Go SDK.

    public static class GetStigsV2 
    {
        public static Task<GetStigsV2Result> InvokeAsync(GetStigsV2Args args, InvokeOptions? opts = null)
        public static Output<GetStigsV2Result> Invoke(GetStigsV2InvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetStigsV2Result> getStigsV2(GetStigsV2Args args, InvokeOptions options)
    public static Output<GetStigsV2Result> getStigsV2(GetStigsV2Args args, InvokeOptions options)
    
    fn::invoke:
      function: nutanix:index/getStigsV2:getStigsV2
      arguments:
        # arguments dictionary
    data "nutanix_getstigsv2" "name" {
        # arguments
    }

    The following arguments are supported:

    Filter string

    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, filter '$filter=name eq 'karbon-ntnx-1.0' would filter the result on cluster name 'karbon-ntnx1.0', filter '$filter=startswith(name, 'C')' would filter on cluster name starting with 'C'. The filter can be applied to the following fields:

    Example:

    filter = "severity eq Security.Report.Severity'HIGH'"
    

    Example:

    filter = "status eq Security.Report.StigStatus'APPLICABLE'"
    
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    Page int
    • A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Select string

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. following fields:

    Example:

    select = "affectedClusters"
    

    Example:

    select = "benchmarkId"
    

    Example:

    select = "comments"
    

    Example:

    select = "extId"
    

    Example:

    select = "fixText"
    

    Example:

    select = "identifiers"
    

    Example:

    select = "links"
    

    Example:

    select = "ruleId"
    

    Example:

    select = "severity"
    

    Example:

    select = "status"
    

    Example:

    select = "stigVersion"
    

    Example:

    select = "tenantId"
    

    Example:

    select = "title"
    
    Filter string

    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, filter '$filter=name eq 'karbon-ntnx-1.0' would filter the result on cluster name 'karbon-ntnx1.0', filter '$filter=startswith(name, 'C')' would filter on cluster name starting with 'C'. The filter can be applied to the following fields:

    Example:

    filter = "severity eq Security.Report.Severity'HIGH'"
    

    Example:

    filter = "status eq Security.Report.StigStatus'APPLICABLE'"
    
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    Page int
    • A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Select string

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. following fields:

    Example:

    select = "affectedClusters"
    

    Example:

    select = "benchmarkId"
    

    Example:

    select = "comments"
    

    Example:

    select = "extId"
    

    Example:

    select = "fixText"
    

    Example:

    select = "identifiers"
    

    Example:

    select = "links"
    

    Example:

    select = "ruleId"
    

    Example:

    select = "severity"
    

    Example:

    select = "status"
    

    Example:

    select = "stigVersion"
    

    Example:

    select = "tenantId"
    

    Example:

    select = "title"
    
    filter string

    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, filter '$filter=name eq 'karbon-ntnx-1.0' would filter the result on cluster name 'karbon-ntnx1.0', filter '$filter=startswith(name, 'C')' would filter on cluster name starting with 'C'. The filter can be applied to the following fields:

    Example:

    filter = "severity eq Security.Report.Severity'HIGH'"
    

    Example:

    filter = "status eq Security.Report.StigStatus'APPLICABLE'"
    
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by string
    page number
    • A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select string

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. following fields:

    Example:

    select = "affectedClusters"
    

    Example:

    select = "benchmarkId"
    

    Example:

    select = "comments"
    

    Example:

    select = "extId"
    

    Example:

    select = "fixText"
    

    Example:

    select = "identifiers"
    

    Example:

    select = "links"
    

    Example:

    select = "ruleId"
    

    Example:

    select = "severity"
    

    Example:

    select = "status"
    

    Example:

    select = "stigVersion"
    

    Example:

    select = "tenantId"
    

    Example:

    select = "title"
    
    filter String

    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, filter '$filter=name eq 'karbon-ntnx-1.0' would filter the result on cluster name 'karbon-ntnx1.0', filter '$filter=startswith(name, 'C')' would filter on cluster name starting with 'C'. The filter can be applied to the following fields:

    Example:

    filter = "severity eq Security.Report.Severity'HIGH'"
    

    Example:

    filter = "status eq Security.Report.StigStatus'APPLICABLE'"
    
    limit Integer
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    page Integer
    • A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select String

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. following fields:

    Example:

    select = "affectedClusters"
    

    Example:

    select = "benchmarkId"
    

    Example:

    select = "comments"
    

    Example:

    select = "extId"
    

    Example:

    select = "fixText"
    

    Example:

    select = "identifiers"
    

    Example:

    select = "links"
    

    Example:

    select = "ruleId"
    

    Example:

    select = "severity"
    

    Example:

    select = "status"
    

    Example:

    select = "stigVersion"
    

    Example:

    select = "tenantId"
    

    Example:

    select = "title"
    
    filter string

    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, filter '$filter=name eq 'karbon-ntnx-1.0' would filter the result on cluster name 'karbon-ntnx1.0', filter '$filter=startswith(name, 'C')' would filter on cluster name starting with 'C'. The filter can be applied to the following fields:

    Example:

    filter = "severity eq Security.Report.Severity'HIGH'"
    

    Example:

    filter = "status eq Security.Report.StigStatus'APPLICABLE'"
    
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy string
    page number
    • A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select string

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. following fields:

    Example:

    select = "affectedClusters"
    

    Example:

    select = "benchmarkId"
    

    Example:

    select = "comments"
    

    Example:

    select = "extId"
    

    Example:

    select = "fixText"
    

    Example:

    select = "identifiers"
    

    Example:

    select = "links"
    

    Example:

    select = "ruleId"
    

    Example:

    select = "severity"
    

    Example:

    select = "status"
    

    Example:

    select = "stigVersion"
    

    Example:

    select = "tenantId"
    

    Example:

    select = "title"
    
    filter str

    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, filter '$filter=name eq 'karbon-ntnx-1.0' would filter the result on cluster name 'karbon-ntnx1.0', filter '$filter=startswith(name, 'C')' would filter on cluster name starting with 'C'. The filter can be applied to the following fields:

    Example:

    filter = "severity eq Security.Report.Severity'HIGH'"
    

    Example:

    filter = "status eq Security.Report.StigStatus'APPLICABLE'"
    
    limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by str
    page int
    • A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select str

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. following fields:

    Example:

    select = "affectedClusters"
    

    Example:

    select = "benchmarkId"
    

    Example:

    select = "comments"
    

    Example:

    select = "extId"
    

    Example:

    select = "fixText"
    

    Example:

    select = "identifiers"
    

    Example:

    select = "links"
    

    Example:

    select = "ruleId"
    

    Example:

    select = "severity"
    

    Example:

    select = "status"
    

    Example:

    select = "stigVersion"
    

    Example:

    select = "tenantId"
    

    Example:

    select = "title"
    
    filter String

    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, filter '$filter=name eq 'karbon-ntnx-1.0' would filter the result on cluster name 'karbon-ntnx1.0', filter '$filter=startswith(name, 'C')' would filter on cluster name starting with 'C'. The filter can be applied to the following fields:

    Example:

    filter = "severity eq Security.Report.Severity'HIGH'"
    

    Example:

    filter = "status eq Security.Report.StigStatus'APPLICABLE'"
    
    limit Number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    page Number
    • A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select String

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. following fields:

    Example:

    select = "affectedClusters"
    

    Example:

    select = "benchmarkId"
    

    Example:

    select = "comments"
    

    Example:

    select = "extId"
    

    Example:

    select = "fixText"
    

    Example:

    select = "identifiers"
    

    Example:

    select = "links"
    

    Example:

    select = "ruleId"
    

    Example:

    select = "severity"
    

    Example:

    select = "status"
    

    Example:

    select = "stigVersion"
    

    Example:

    select = "tenantId"
    

    Example:

    select = "title"
    

    getStigsV2 Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    Stigs List<PiersKarsenbarg.Nutanix.Outputs.GetStigsV2Stig>
    -List of STIG controls details for STIG rules on each cluster.
    Filter string
    Limit int
    OrderBy string
    Page int
    Select string
    Id string
    The provider-assigned unique ID for this managed resource.
    Stigs []GetStigsV2Stig
    -List of STIG controls details for STIG rules on each cluster.
    Filter string
    Limit int
    OrderBy string
    Page int
    Select string
    id string
    The provider-assigned unique ID for this managed resource.
    stigs list(object)
    -List of STIG controls details for STIG rules on each cluster.
    filter string
    limit number
    order_by string
    page number
    select string
    id String
    The provider-assigned unique ID for this managed resource.
    stigs List<GetStigsV2Stig>
    -List of STIG controls details for STIG rules on each cluster.
    filter String
    limit Integer
    orderBy String
    page Integer
    select String
    id string
    The provider-assigned unique ID for this managed resource.
    stigs GetStigsV2Stig[]
    -List of STIG controls details for STIG rules on each cluster.
    filter string
    limit number
    orderBy string
    page number
    select string
    id str
    The provider-assigned unique ID for this managed resource.
    stigs Sequence[GetStigsV2Stig]
    -List of STIG controls details for STIG rules on each cluster.
    filter str
    limit int
    order_by str
    page int
    select str
    id String
    The provider-assigned unique ID for this managed resource.
    stigs List<Property Map>
    -List of STIG controls details for STIG rules on each cluster.
    filter String
    limit Number
    orderBy String
    page Number
    select String

    Supporting Types

    GetStigsV2Stig

    AffectedClusters List<string>
    • List of clusters that failed the STIG control.
    BenchmarkId string
    • Benchmark ID of the STIG rules.
    Comments string
    • The comments to explain why a STIG rule applies or does not apply to the cluster.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    FixText string
    • The command/steps to fix the STIG rule failure.
    Identifiers List<string>
    • Additional identifiers used to describe this control.
    Links List<PiersKarsenbarg.Nutanix.Inputs.GetStigsV2StigLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    RuleId string
    • Rule ID of the STIG control.
    Severity string
    • Contains possible values for the severity level of a vulnerability. | Enum | Description | |--------------|--------------------| | HIGH | Severity level high. | | MEDIUM | Severity level medium. | | LOW | Severity level low. | | UNKNOWN | Unknown value. | | CRITICAL | Severity level critical. | | REDACTED | Redacted value. |
    Status string
    • Current status of the STIG rule. | Enum | Description | |--------------|--------------------| | NOT_APPLICABLE | STIG is not applicable. | | NEEDS_REVIEW | STIG application needs a review. | | APPLICABLE | STIG is applicable. | | UNKNOWN | Unknown value. | | REDACTED | Redacted value. |
    StigVersion string
    • STIG ID of the control.
    TenantId string
    Title string
    • Title of the STIG control.
    AffectedClusters []string
    • List of clusters that failed the STIG control.
    BenchmarkId string
    • Benchmark ID of the STIG rules.
    Comments string
    • The comments to explain why a STIG rule applies or does not apply to the cluster.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    FixText string
    • The command/steps to fix the STIG rule failure.
    Identifiers []string
    • Additional identifiers used to describe this control.
    Links []GetStigsV2StigLink
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    RuleId string
    • Rule ID of the STIG control.
    Severity string
    • Contains possible values for the severity level of a vulnerability. | Enum | Description | |--------------|--------------------| | HIGH | Severity level high. | | MEDIUM | Severity level medium. | | LOW | Severity level low. | | UNKNOWN | Unknown value. | | CRITICAL | Severity level critical. | | REDACTED | Redacted value. |
    Status string
    • Current status of the STIG rule. | Enum | Description | |--------------|--------------------| | NOT_APPLICABLE | STIG is not applicable. | | NEEDS_REVIEW | STIG application needs a review. | | APPLICABLE | STIG is applicable. | | UNKNOWN | Unknown value. | | REDACTED | Redacted value. |
    StigVersion string
    • STIG ID of the control.
    TenantId string
    Title string
    • Title of the STIG control.
    affected_clusters list(string)
    • List of clusters that failed the STIG control.
    benchmark_id string
    • Benchmark ID of the STIG rules.
    comments string
    • The comments to explain why a STIG rule applies or does not apply to the cluster.
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    fix_text string
    • The command/steps to fix the STIG rule failure.
    identifiers list(string)
    • Additional identifiers used to describe this control.
    links list(object)
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    rule_id string
    • Rule ID of the STIG control.
    severity string
    • Contains possible values for the severity level of a vulnerability. | Enum | Description | |--------------|--------------------| | HIGH | Severity level high. | | MEDIUM | Severity level medium. | | LOW | Severity level low. | | UNKNOWN | Unknown value. | | CRITICAL | Severity level critical. | | REDACTED | Redacted value. |
    status string
    • Current status of the STIG rule. | Enum | Description | |--------------|--------------------| | NOT_APPLICABLE | STIG is not applicable. | | NEEDS_REVIEW | STIG application needs a review. | | APPLICABLE | STIG is applicable. | | UNKNOWN | Unknown value. | | REDACTED | Redacted value. |
    stig_version string
    • STIG ID of the control.
    tenant_id string
    title string
    • Title of the STIG control.
    affectedClusters List<String>
    • List of clusters that failed the STIG control.
    benchmarkId String
    • Benchmark ID of the STIG rules.
    comments String
    • The comments to explain why a STIG rule applies or does not apply to the cluster.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    fixText String
    • The command/steps to fix the STIG rule failure.
    identifiers List<String>
    • Additional identifiers used to describe this control.
    links List<GetStigsV2StigLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    ruleId String
    • Rule ID of the STIG control.
    severity String
    • Contains possible values for the severity level of a vulnerability. | Enum | Description | |--------------|--------------------| | HIGH | Severity level high. | | MEDIUM | Severity level medium. | | LOW | Severity level low. | | UNKNOWN | Unknown value. | | CRITICAL | Severity level critical. | | REDACTED | Redacted value. |
    status String
    • Current status of the STIG rule. | Enum | Description | |--------------|--------------------| | NOT_APPLICABLE | STIG is not applicable. | | NEEDS_REVIEW | STIG application needs a review. | | APPLICABLE | STIG is applicable. | | UNKNOWN | Unknown value. | | REDACTED | Redacted value. |
    stigVersion String
    • STIG ID of the control.
    tenantId String
    title String
    • Title of the STIG control.
    affectedClusters string[]
    • List of clusters that failed the STIG control.
    benchmarkId string
    • Benchmark ID of the STIG rules.
    comments string
    • The comments to explain why a STIG rule applies or does not apply to the cluster.
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    fixText string
    • The command/steps to fix the STIG rule failure.
    identifiers string[]
    • Additional identifiers used to describe this control.
    links GetStigsV2StigLink[]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    ruleId string
    • Rule ID of the STIG control.
    severity string
    • Contains possible values for the severity level of a vulnerability. | Enum | Description | |--------------|--------------------| | HIGH | Severity level high. | | MEDIUM | Severity level medium. | | LOW | Severity level low. | | UNKNOWN | Unknown value. | | CRITICAL | Severity level critical. | | REDACTED | Redacted value. |
    status string
    • Current status of the STIG rule. | Enum | Description | |--------------|--------------------| | NOT_APPLICABLE | STIG is not applicable. | | NEEDS_REVIEW | STIG application needs a review. | | APPLICABLE | STIG is applicable. | | UNKNOWN | Unknown value. | | REDACTED | Redacted value. |
    stigVersion string
    • STIG ID of the control.
    tenantId string
    title string
    • Title of the STIG control.
    affected_clusters Sequence[str]
    • List of clusters that failed the STIG control.
    benchmark_id str
    • Benchmark ID of the STIG rules.
    comments str
    • The comments to explain why a STIG rule applies or does not apply to the cluster.
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    fix_text str
    • The command/steps to fix the STIG rule failure.
    identifiers Sequence[str]
    • Additional identifiers used to describe this control.
    links Sequence[GetStigsV2StigLink]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    rule_id str
    • Rule ID of the STIG control.
    severity str
    • Contains possible values for the severity level of a vulnerability. | Enum | Description | |--------------|--------------------| | HIGH | Severity level high. | | MEDIUM | Severity level medium. | | LOW | Severity level low. | | UNKNOWN | Unknown value. | | CRITICAL | Severity level critical. | | REDACTED | Redacted value. |
    status str
    • Current status of the STIG rule. | Enum | Description | |--------------|--------------------| | NOT_APPLICABLE | STIG is not applicable. | | NEEDS_REVIEW | STIG application needs a review. | | APPLICABLE | STIG is applicable. | | UNKNOWN | Unknown value. | | REDACTED | Redacted value. |
    stig_version str
    • STIG ID of the control.
    tenant_id str
    title str
    • Title of the STIG control.
    affectedClusters List<String>
    • List of clusters that failed the STIG control.
    benchmarkId String
    • Benchmark ID of the STIG rules.
    comments String
    • The comments to explain why a STIG rule applies or does not apply to the cluster.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    fixText String
    • The command/steps to fix the STIG rule failure.
    identifiers List<String>
    • Additional identifiers used to describe this control.
    links List<Property Map>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    ruleId String
    • Rule ID of the STIG control.
    severity String
    • Contains possible values for the severity level of a vulnerability. | Enum | Description | |--------------|--------------------| | HIGH | Severity level high. | | MEDIUM | Severity level medium. | | LOW | Severity level low. | | UNKNOWN | Unknown value. | | CRITICAL | Severity level critical. | | REDACTED | Redacted value. |
    status String
    • Current status of the STIG rule. | Enum | Description | |--------------|--------------------| | NOT_APPLICABLE | STIG is not applicable. | | NEEDS_REVIEW | STIG application needs a review. | | APPLICABLE | STIG is applicable. | | UNKNOWN | Unknown value. | | REDACTED | Redacted value. |
    stigVersion String
    • STIG ID of the control.
    tenantId String
    title String
    • Title of the STIG control.
    Href string
    Rel string
    Href string
    Rel string
    href string
    rel string
    href String
    rel String
    href string
    rel string
    href str
    rel str
    href String
    rel String

    Package Details

    Repository
    nutanix pierskarsenbarg/pulumi-nutanix
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the nutanix Terraform Provider.
    nutanix logo
    Viewing docs for Nutanix v0.16.0
    published on Tuesday, May 26, 2026 by Piers Karsenbarg

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial